# Class: Odm

## Odm

#### new Odm()

The ODM class provides some experimental interfaces for accessing collection data. This is considered alpha code and should not be used in production.

Source:
  - Odm.js, line 16

### Methods

- $(prop, queryopt) → {Odm}
- prop(prop, val) → {*}

#### $(prop, queryopt) → {Odm}

Queries the current object and returns a result that can also be queried in the same way.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`prop` | String |  | The property to delve into.
`query` | Object | <optional> | Optional query that limits the returned documents.

Source:
  - Odm.js, line 94

##### Returns:

Type
  Odm

#### prop(prop, val) → {*}

Gets / sets a property on the current ODM document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`prop` | String | The name of the property.
`val` | * | Optional value to set.

Source:
  - Odm.js, line 143

##### Returns:

Type
  *